import 'package:flutter/cupertino.dart';

class AccountModel extends ChangeNotifier {
  AccountModelState _accountState = AccountModelState.undefined;
  AccountModelState get state => _accountState;

  void setState(AccountModelState state) {
    _accountState = state;
    notifyListeners();
  }
}

enum AccountModelState {
  undefined,
  loggedIn,
  loggedOut,
}